![freepcb-2 icon](/pictures/upload.png) 
## [freepcb-2](https://freepcb.dev)

Beginner's «How To ...» Guide  © 2019-2020 [freepcb.dev](https://freepcb.dev)

_Warning! This document has been translated into English from another language. The author is not responsible for the inaccuracy of the translation, if any._

**Start**

* [How to create PCB project?](new_project.md)
* [How to change current folder of footprint libraries?](lib_folder.md)
* [How to change layer color?](colors.md)
* [How to make a layer visible/invisible?](layer_vis.md)
* [How to work with selection mask?](sel_mask.md)
* [How to edit grid size?](grid.md)
* [How to see the list of hot keys?](hotkeys.md)

**Footprints**

* [How to create a new footprint?](new_fp.md)
* [How to add pin?](add_pin.md)
* [How to add text?](add_fp_text.md)
* [How to add polyline?](add_fp_poly.md)
* [How to edit polyline?](edit_fp_poly.md)
* [How to edit group objects?](fp_group.md)
* [How to create multipin?](multipin.md)

**Parts**

* [How to add a new part?](add_part.md)
* [How to select part?](select_part.md)
* [How to align selected parts in a line?](line_up.md)
* [How to edit part footprint?](edit_fp.md)
* [How to move part?](move_part.md)
* [How to edit part group with partlist menu?](part_list.md)
* [How to autoposition pcb parts?](part_pos.md)
* [How to autoposition part references?](ref_pos.md)

**Traces**

* [How to draw a copper track from pin to pin?](route.md)
* [How to route branch?](routing_branch.md)
* [How to create branch to pin?](edit_traces.md)
* [How to add vertex to the trace segment?](add_vertex.md)
* [How to move vertex or segment of trace?](move_seg.md)
* [How to change segment width or via size?](seg_width.md)
* [How to change segment layer?](seg_layer.md)
* [How to select a group of segments?](sel_seg_gr.md)
* [How to insert segment to the corner portion of trace?](insert_seg.md)
* [How to insert two segments to the corner portion of trace?](insert_seg2.md)
* [How to set clearance for parallel segments?](set_seg_clearance.md)
* [How to align vertices of trace?](align_vertex.md)
* [How to convert a segment to arc?](seg_2_arc.md)
* [How to change radius of arc?](seg_change_rad.md)
* [How to add via?](add_via.md)
* [How to combine colinear segments?](check_tr.md)
* [How to convert a route to a branch, and a branch to a route](branch2trace.md)
* [Something else...](edit_traces2.md)

**Copper areas**

* [How to add copper area?](add_area.md)
* [How to add copper area similar to any area?](similar_area.md)
* [How to combine similar areas?](comb_areas.md)
* [How to add area cutout?](area_cut.md)
* [How to pour copper area?](pour_area.md)
* [How to make contact test?](contact_test.md)
* [How to select contour?](select_cont.md)
* [How to set clearance between parallel sides of areas?](set_side_clearance.md)

**Graphics**

* [How to add board outline or other line?](add_polyline.md)
* [How to combine board outline?](comb_bo.md)
* [How to edit polyline?](edit_bo.md)
* [How to align polyline vertices?](align_bo.md)

**Nets**

* [How to protect/unprotect netlist?](unprotect_nl.md)
* [How to edit nets group with netlist menu?](edit_net_gr.md)
* [How to split net?](split_net.md)
* [How to combine nets?](comb_nets.md)
* [How to insert net names into the project as text?](insert_nets.md)

**Groups**

* [How to rotate a part or group?](rotate.md)
* [How to change side?](side.md)
* [How to add merge?](add_merge.md)
* [How to align group objects?](align_gr.md)
* [How to select all objects?](select_all.md)

**Infobox**

* [How to run Infobox?](IB_run.md)
* [How the Infobox works?](ib_works.md)
* [How to adjust initial window position of infobox?](IB_win_pos.md)
* [How to use Infobox filter?](IB_use.md)
* [How to save Ref List?](IB_ref_list.md)
* [How to highlight parts from Infobox partlist?](ib_highlight_parts.md)
* [How to highlight pins or nets from Infobox pinlist?](ib_highlight_pins.md)
* [How to fix filtered parts?](ib_fix.md)
* [How to add part values&package to storage?](ib_add_values.md)
* [How to see a set of hole diameters?](hole_diam.md)
* [How to find unconnected pins?](unconnected.md)
* [How to save Infobox partlist?](ib_txt_list.md)
* [How to watch a list of net pins while dragging a connection?](ib_drag_con.md)
* [How to filter parts whose pads have paste mask](paste_mask_check.md)
* [How to load extern partlist?](IB_imp_plist.md)
* [How to load extern netlist?](IB_imp_nlist.md)
* [How to find the differences in part list from version to version of your PCB project?](c_plist.md)
* [How to find the differences in pin list from version to version of your PCB project?](c_nlist.md)

**Design rule checking**

* [How to make a design check?](DRC.md)
* [How to create report file?](drc_report.md)

**Production files**

* [How to export gerber?](gerber.md)
* [How to generate pick & place file?](pnp.md)
* [How to generate BOM file?](bom.md)
* [How to create a gerber file for making a stencil?](stencil.md)

**More**

* [How to use a measurement tool?](measurement_tool.md)
* [How to set default pad clearance for solder mask?](sm_def.md)
* [How to import/export netlist?](net_imp.md)
* [How to make dxf export?](dxf_exp.md)
* [How to import dxf?](dxf_imp.md)
* [How to import bmp picture?](bmp_imp.md)
* [How to import Pcad-ascii files?](pcad_imp.md)
* [How to export Pcad-ascii files?](pcad_exp.md)
* [How to print pcb view?](pcb_view.md)
* [How to highlight parts when printing?](print_h.md)
* [How to change ref or value sizes for part group?](edit_silk.md)
* [How to replace one size with another in the whole project?](replace.md)
* [How to sort footprint libraries?\
  How to competently make PCB panelization?\
  How to combine footprints?](edit_lib.md)
* [How to add arc-elements of traces or copper areas?\
  How to add Drop Shape to vias?](rnd_rect.md)
* [How to remove arc-elements of traces or copper areas?](rnd_cancel.md)
* [How to compare parts kits for different PCB?](diff_pcb.md)
* How to make an analysis of FreePcb projects for machines?
* [How to edit libraries?](fp_edit.md)
* [How to add text?](add_text.md)
* [How to add solder mask cutout?](add_polyline.md)
* [How to delete unconnected pins?](del_u_pins.md)








